Method: projects.locations.vpcFlowLogsConfigs.list

列出给定项目中的所有 VpcFlowLogsConfigs

HTTP 请求

GET https://networkmanagement.googleapis.com/v1/{parent=projects/*/locations/*}/vpcFlowLogsConfigs

网址采用 gRPC 转码语法。

路径参数

参数
parent

string

必需。VpcFlowLogsConfig 的父资源,采用以下格式之一:

  • 对于项目级资源:projects/{projectId}/locations/global

  • 对于组织级资源:organizations/{organization_id}/locations/global

必须对指定的资源 parent 具有以下 IAM 权限才能进行授权:

  • networkmanagement.vpcflowlogsconfigs.list

查询参数

参数
pageSize

integer

可选。要返回的 VpcFlowLogsConfigs 的数量。

pageToken

string

可选。来自先前的查询的页面令牌,如 nextPageToken 中返回的页面令牌。

filter

string

可选。列出与过滤条件表达式匹配的 VpcFlowLogsConfigs。过滤表达式必须使用受支持的 CEL 逻辑运算符

orderBy

string

可选。用于对列表进行排序的字段。

请求正文

请求正文必须为空。

响应正文

如果成功,则响应正文包含一个 ListVpcFlowLogsConfigsResponse 实例。

授权范围

需要以下 OAuth 范围:

  • https://www.googleapis.com/auth/cloud-platform

如需了解详情,请参阅 Authentication Overview